// Story nodes
article.node--type-story
  .field--name-field-step-type
    padding-right: 1em
    float: left
    .field__item
      float: left

// 'Add a Story' button
.path-frontpage, .path-roles, .path-stories
  .action-links
    right: 2em
    top: 7em
    position: absolute

// Stories pages
.view-stories

  // Make Stories look like cards
  .views-col
    box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23)
    transition: all 0.3s cubic-bezier(.25,.8,.25,1)
    margin: 1em
    padding: 1em
    width: 20%
    background: #f6f6f3

  .views-col:hover
    box-shadow: 0 14px 28px rgba(0,0,0,0.25), 0 10px 10px rgba(0,0,0,0.22)

  // Emphasize Story card title
  .views-field-node-modal-view
    font-size: 150%
    margin-bottom: 1em

  // Clean up edit links
  .views-field-node-modal-edit,
  .views-field-node-modal-delete
    float: right
    margin-left: 0.5em
    // Make buttons subtle, unless hovered-over
    a
      color: lightgrey
      &:hover
        color: #777


  // Story labels and fields
  .views-field-field-role, .views-field-field-goal, .views-field-field-importance, .views-field-field-task 
    .views-label-field-role, .views-label-field-goal, .views-label-field-importance, .views-label-field-task
      float: left
      margin-right: 0.4em
    .field-content
      font-weight: bold
      font-family: monospace
  // Concatenate priority and task fields
  .views-field-field-importance
    .field-content
      float: left
      margin-right: 0.4em

